#include <bits/stdc++.h>
using namespace std;
long long L,R,br,a,b,c;
int p,q,r;
int main(){
cin>>p>>q>>r>>L>>R;
for(double i=L;i<=R;i++){
    a=ceil(i/p);
    b=ceil(i/q);
    c=ceil(i/r);
    if((a+b+c)<=i)br++;
}
cout<<br<<endl;

return 0;}